/*------------------------------------------------------------------------------

    File    :	FFT_float_asm.h

    Author  :	Stphane TAVENARD

    $VER:   FFT_float_asm.h  0.0  (23/04/1995)

    (C) Copyright 1995-1995 Stphane TAVENARD
	All Rights Reserved

    #Rev|   Date   |			  Comment
    ----|----------|--------------------------------------------------------
    0	|23/04/1995| Initial revision

    ------------------------------------------------------------------------

    Definition of Routines for FFT of floating points values

------------------------------------------------------------------------------*/

#ifndef FFT_FLOAT_ASM_H
#define FFT_FLOAT_ASM_H

#ifndef ASM
#ifdef __SASC
#define ASM_A0 register __a0
#define ASM_A1 register __a1
#define ASM_A2 register __a2
#define ASM_A3 register __a3
#define ASM_A4 register __a4
#define ASM_A5 register __a5
#define ASM_A6 register __a6
#define ASM_D0 register __d0
#define ASM_D1 register __d1
#define ASM_D2 register __d2
#define ASM_D3 register __d3
#define ASM_D4 register __d4
#define ASM_D5 register __d5
#define ASM_D6 register __d6
#define ASM_D7 register __d7
#define ASM __asm
#else
#define ASM_A0
#define ASM_A1
#define ASM_A2
#define ASM_A3
#define ASM_A4
#define ASM_A5
#define ASM_A6
#define ASM_D0
#define ASM_D1
#define ASM_D2
#define ASM_D3
#define ASM_D4
#define ASM_D5
#define ASM_D6
#define ASM_D7
#define ASM
#endif
#endif

void ASM ASM_FFT_main_loop( ASM_A0 float *x_real, ASM_A1 float *x_imag,
			    ASM_A2 float *COS,   ASM_A3 float *SIN,
			    ASM_D0 long power );

void ASM ASM_FFT_energy_phi( ASM_A0 float *x_real, ASM_A1 float *x_imag,
			     ASM_A2 float *energy,  ASM_A3 float *phi,
			     ASM_D0 long n );

#endif
